{
  "codeName" : "Dashboard",
  "controlType" : "DASHBOARD",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSDASHBOARDS/Dashboard.json",
  "logicName" : "数据看板测试",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getPSControls" : [ {
    "codeName" : "DashboardView9dashboard_container1",
    "controlType" : "PORTLET",
    "name" : "dashboard_container1",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard_container1"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSLayout" : {
      "align" : "space-between",
      "dir" : "row",
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSControls" : [ {
      "codeName" : "DashboardView9dashboard_container2",
      "controlType" : "PORTLET",
      "height" : 100.0,
      "name" : "dashboard_container2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "dashboard_container2"
      },
      "getPSControlParam" : {
        "height" : 100.0,
        "width" : 100.0,
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "height" : 100,
        "heightMode" : "PX",
        "layout" : "FLEX",
        "width" : 100,
        "widthMode" : "PX"
      },
      "getPSControls" : [ {
        "codeName" : "DashboardView9dashboard_rawitem1",
        "contentType" : "RAW",
        "controlType" : "PORTLET",
        "name" : "dashboard_rawitem1",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlHandler" : {
          "enableDEFieldPrivilege" : false,
          "id" : "dashboard_rawitem1"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSRawItem" : {
          "caption" : "sddddaaass",
          "contentType" : "RAW",
          "name" : "dashboard_rawitem1"
        },
        "portletType" : "RAWITEM",
        "rawContent" : "sddddaaass",
        "showTitleBar" : true
      } ],
      "portletType" : "CONTAINER",
      "width" : 100.0,
      "showTitleBar" : true
    }, {
      "codeName" : "DashboardView9dashboard_container3",
      "controlType" : "PORTLET",
      "name" : "dashboard_container3",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "dashboard_container3"
      },
      "getPSControlParam" : {
        "width" : 350.0,
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "width" : 350,
        "widthMode" : "PX"
      },
      "getPSControls" : [ {
        "codeName" : "DashboardView9dashboard_rawitem2",
        "contentType" : "HTML",
        "controlType" : "PORTLET",
        "htmlContent" : "<p>&lt;div&gt;11111111&lt;/div&gt;</p>",
        "name" : "dashboard_rawitem2",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlHandler" : {
          "enableDEFieldPrivilege" : false,
          "id" : "dashboard_rawitem2"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSRawItem" : {
          "content" : "<p>&lt;div&gt;11111111&lt;/div&gt;</p>",
          "contentType" : "HTML",
          "name" : "dashboard_rawitem2"
        },
        "portletType" : "RAWITEM",
        "showTitleBar" : true
      } ],
      "portletType" : "CONTAINER",
      "width" : 350.0,
      "showTitleBar" : true
    } ],
    "portletType" : "CONTAINER",
    "showTitleBar" : true
  }, {
    "codeName" : "Grid",
    "controlType" : "PORTLET",
    "height" : 300.0,
    "name" : "dashboard_sysportlet1",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard_sysportlet1"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPortletPSAppView" : {
      "accUserMode" : 2,
      "getCapPSLanguageRes" : {
        "lanResTag" : "PAGE.CAPTION.PHONE.PHONEVIEW"
      },
      "caption" : "手机表格视图（标题）",
      "codeName" : "phonePhoneView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneView.json",
      "gridRowActiveMode" : 2,
      "name" : "phonePhoneView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
      },
      "getPSDEViewCodeName" : "PhoneView",
      "getPSDEViewId" : "3C048F18-9263-4C6E-AC73-53DB4027F632",
      "getPSViewLayoutPanel" : {
        "getAllPSPanelFields" : [ {
          "id" : "view_pagecaption"
        } ],
        "codeName" : "Usr0920652111",
        "controlType" : "VIEWLAYOUTPANEL",
        "layoutMode" : "FLEX",
        "logicName" : "PhoneViewDEGRIDVIEW",
        "memo" : "表格视图",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlParam" : { },
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getRootPSPanelItems" : [ {
          "cssStyle" : ".login-background{\n background-image: linear-gradient(#0089ED 50%,white 50%);\n}\n.test {\nbackground: red;\nfont-size: 12px;\n}",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "page_container",
          "getPSLayout" : {
            "dir" : "column",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "栅格容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_grid1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "面板容器",
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container1",
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "grow" : 6,
                "layout" : "SIMPLEFLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "页面标题",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "view_pagecaption",
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "view_pagecaption",
                  "predefinedType" : "VIEW_PAGECAPTION",
                  "renderMode" : "HEADING1",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "hAlignSelf" : "LEFT",
                  "heightMode" : "FULL",
                  "layout" : "TABLE_24COL",
                  "widthMode" : "FULL"
                },
                "hidden" : false,
                "showCaption" : false
              } ]
            }, {
              "caption" : "面板容器",
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container2",
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "grow" : 3,
                "layout" : "SIMPLEFLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "QUICKSEARCHBAR",
                "itemStyle" : "DEFAULT",
                "itemType" : "CTRLPOS",
                "name" : "quicksearchbar",
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "hAlignSelf" : "RIGHT",
                  "heightMode" : "FULL",
                  "layout" : "TABLE_24COL"
                },
                "showCaption" : true
              } ]
            }, {
              "caption" : "容器",
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container_2",
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "TOOLBAR",
                "itemStyle" : "DEFAULT",
                "itemType" : "CTRLPOS",
                "name" : "toolbar",
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "hAlignSelf" : "RIGHT",
                  "heightMode" : "FULL",
                  "layout" : "TABLE_24COL"
                },
                "showCaption" : true
              } ]
            } ],
            "predefinedType" : "CONTAINER_GRID"
          }, {
            "caption" : "容器",
            "contentHeight" : 100.0,
            "height" : 100.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container4",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 100,
              "heightMode" : "PERCENTAGE",
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "SEARCHFORM",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "searchform",
              "getPSLayoutPos" : {
                "grow" : -1,
                "heightMode" : "FULL",
                "layout" : "FLEX"
              },
              "showCaption" : true
            }, {
              "caption" : "GRID",
              "contentHeight" : 100.0,
              "height" : 100.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "grid",
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 100,
                "heightMode" : "PERCENTAGE",
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ],
            "predefinedType" : "CONTAINER"
          } ]
        } ],
        "layoutBodyOnly" : false,
        "layoutPanel" : true,
        "useDefaultLayout" : false,
        "viewProxyMode" : true,
        "modelid" : "493E5698-ED6A-4714-A6A0-C83C4C47513E",
        "modeltype" : "PSSYSVIEWLAYOUTPANEL",
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "GridView",
          "name" : "engine"
        } ],
        "getPSAppViewLogics" : [ {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "newdata",
          "getPSAppUILogic" : {
            "actionAfterWizard" : "DEFAULT",
            "logicType" : "PREDEFINED",
            "name" : "新建数据",
            "getNewDataPSAppView" : {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_NEWDATA",
            "batchAddOnly" : false,
            "enableBatchAdd" : false,
            "enableWizardAdd" : false
          }
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "opendata",
          "getPSAppUILogic" : {
            "logicType" : "PREDEFINED",
            "name" : "打开数据",
            "getOpenDataPSAppView" : {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_OPENDATA",
            "editMode" : true
          }
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "EDITDATA",
          "realTitle" : "手机编辑视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.PHONE.EDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "NEWDATA",
          "realTitle" : "手机编辑视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.PHONE.EDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSControls" : [ {
          "aggMode" : "NONE",
          "codeName" : "Main",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlStyle" : "xxx",
          "controlType" : "GRID",
          "getCreatePSControlAction" : {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSGRIDS/Main.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "getGetPSControlAction" : {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "主表格",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "GRID"
          },
          "getPSDEDataImport" : {
            "modelref" : true,
            "id" : "DataImport"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.PHONEID"
            },
            "caption" : "手机标识",
            "codeName" : "phoneid",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "phoneid",
            "excelCaption" : "手机标识",
            "name" : "phoneid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.PHONENAME"
            },
            "caption" : "手机名称",
            "codeName" : "phonename",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "phonename",
            "excelCaption" : "手机名称",
            "name" : "phonename",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEMAN"
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updateman",
            "excelCaption" : "更新人",
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.MONEY"
            },
            "caption" : "金额",
            "codeName" : "money",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "money",
            "excelCaption" : "金额",
            "name" : "money",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "MONEY",
              "codeName" : "Money"
            },
            "getPSControlLogics" : [ {
              "itemName" : "money",
              "logicTag" : "grid",
              "logicType" : "SCRIPT",
              "name" : "xxx",
              "scriptCode" : "context.name === 'abc'",
              "triggerType" : "ITEMVISIBLE"
            } ],
            "unitName" : "元",
            "width" : 100,
            "widthUnit" : "PX",
            "enableSort" : true,
            "enableUnitName" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.MONEY"
            },
            "caption" : "金额",
            "codeName" : "money1",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "money",
            "excelCaption" : "金额",
            "name" : "money1",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "MONEY",
              "codeName" : "Money"
            },
            "unitName" : "元",
            "width" : 100,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true,
            "enableUnitName" : true
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "phoneid",
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            }
          }, {
            "dataType" : 25,
            "name" : "phonename",
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            }
          }, {
            "dataType" : 25,
            "name" : "updateman",
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "dataType" : 6,
            "name" : "money",
            "getPSAppDEField" : {
              "name" : "MONEY",
              "codeName" : "Money"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "pphoneid3",
            "getPSAppDEField" : {
              "name" : "PPHONEID3",
              "codeName" : "Pphoneid3"
            }
          }, {
            "dataType" : 25,
            "name" : "pphoneid4",
            "getPSAppDEField" : {
              "name" : "PPHONEID4",
              "codeName" : "Pphoneid4"
            }
          }, {
            "dataType" : 25,
            "name" : "pphoneid",
            "getPSAppDEField" : {
              "name" : "PPHONEID",
              "codeName" : "Pphoneid"
            }
          }, {
            "dataType" : 25,
            "name" : "pphoneid2",
            "getPSAppDEField" : {
              "name" : "PPHONEID2",
              "codeName" : "Pphoneid2"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            }
          } ],
          "getPSDEGridEditItemUpdates" : [ {
            "codeName" : "testGridItemUpdate1",
            "name" : "测试1",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSDEGEIUpdateDetails" : [ {
              "name" : "updateman"
            }, {
              "name" : "phonename"
            } ]
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "手机标识",
            "codeName" : "phoneid",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "phoneid",
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            },
            "getPSDEGridEditItemUpdate" : {
              "modelref" : true,
              "id" : "testGridItemUpdate1"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "phoneid"
            },
            "allowEmpty" : true
          }, {
            "caption" : "手机名称",
            "codeName" : "phonename",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "phonename",
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 200,
              "name" : "phonename"
            },
            "allowEmpty" : true
          }, {
            "caption" : "更新人",
            "codeName" : "updateman",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "name" : "updateman",
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 60,
              "name" : "updateman"
            },
            "allowEmpty" : false,
            "convertToCodeItemText" : true
          }, {
            "caption" : "金额",
            "codeName" : "money1",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "money1",
            "getPSAppDEField" : {
              "name" : "MONEY",
              "codeName" : "Money"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "money1"
            },
            "unitName" : "元",
            "allowEmpty" : true,
            "enableUnitName" : true
          }, {
            "caption" : "手机标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "getPSSysPFPlugin" : {
            "pluginType" : "CHART_RENDER",
            "pluginCode" : "xxx"
          },
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "sortMode" : "REMOTE",
          "getUpdatePSControlAction" : {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          },
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enableItemPrivilege" : true,
          "enablePagingBar" : true,
          "enableRowEdit" : true,
          "enableRowEditOrder" : false,
          "enableRowNew" : true,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "grid",
          "modelid" : "102fe4f65129bafca1451c4ca125530f",
          "modeltype" : "PSDEGRID"
        }, {
          "codeName" : "PhoneViewtoolbar",
          "controlType" : "TOOLBAR",
          "logicName" : "测试工具栏",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          },
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction6",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction6"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "tooltip" : "新建",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "前台调用",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1"
            },
            "getPSSysImage" : {
              "imagePath" : "link.svg"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "前台调用",
              "codeName" : "frontEndTest",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RawMaterialGridView.json",
                "viewType" : "DEGRIDVIEW"
              },
              "frontProcessType" : "EDITFORM",
              "fullCodeName" : "Phone_frontEndTest",
              "name" : "前台调用",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "frontEndTest",
              "uIActionType" : "DEUIACTION",
              "id" : "frontEndTest@Phone"
            },
            "tooltip" : "前台调用",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "后台调用",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction2"
            },
            "getPSSysImage" : {
              "cssClass" : "ribbon"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "后台调用",
              "codeName" : "backEnd",
              "fullCodeName" : "Phone_backEnd",
              "name" : "后台调用",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              },
              "paramItem" : "cccc",
              "textItem" : "bbbb",
              "timeout" : 60000,
              "uIActionMode" : "BACKEND",
              "uIActionTag" : "backEnd",
              "uIActionType" : "DEUIACTION",
              "valueItem" : "aaaa",
              "enableConfirm" : true,
              "id" : "backEnd@Phone"
            },
            "tooltip" : "后台调用",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "http/https开头",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction3"
            },
            "getPSSysImage" : {
              "imagePath" : "https://upload.jianshu.io/users/upload_avatars/9420423/1aee2a24-f5e1-4f34-b166-83d7881dc59e.jpg?imageMogr2/auto-orient/strip|imageView2/1/w/96/h/96/format/webp"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "后台调用",
              "codeName" : "backEnd",
              "fullCodeName" : "Phone_backEnd",
              "name" : "后台调用",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              },
              "paramItem" : "cccc",
              "textItem" : "bbbb",
              "timeout" : 60000,
              "uIActionMode" : "BACKEND",
              "uIActionTag" : "backEnd",
              "uIActionType" : "DEUIACTION",
              "valueItem" : "aaaa",
              "enableConfirm" : true,
              "id" : "backEnd@Phone"
            },
            "tooltip" : "http/https开头",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "icon",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction4"
            },
            "getPSSysImage" : {
              "cssClass" : "add"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "前台调用",
              "codeName" : "frontEndTest",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RawMaterialGridView.json",
                "viewType" : "DEGRIDVIEW"
              },
              "frontProcessType" : "EDITFORM",
              "fullCodeName" : "Phone_frontEndTest",
              "name" : "前台调用",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "frontEndTest",
              "uIActionType" : "DEUIACTION",
              "id" : "frontEndTest@Phone"
            },
            "tooltip" : "icon",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "静态",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction5",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction5"
            },
            "getPSSysImage" : {
              "imagePath" : "link.svg"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "后台调用",
              "codeName" : "backEnd",
              "fullCodeName" : "Phone_backEnd",
              "name" : "后台调用",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              },
              "paramItem" : "cccc",
              "textItem" : "bbbb",
              "timeout" : 60000,
              "uIActionMode" : "BACKEND",
              "uIActionTag" : "backEnd",
              "uIActionType" : "DEUIACTION",
              "valueItem" : "aaaa",
              "enableConfirm" : true,
              "id" : "backEnd@Phone"
            },
            "tooltip" : "静态",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "xDataControlName" : "grid",
          "modelid" : "DF8B78E0-53B3-4BD2-BE44-CA0C1B2841F7",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "codeName" : "Default",
          "controlType" : "SEARCHFORM",
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSSEARCHFORMS/Default.json",
          "logicName" : "默认搜索表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionType" : "FILTERACTION",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGet"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "search",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterSearch"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "搜索表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "SEARCHFORM"
          },
          "getPSDEFormItems" : [ {
            "id" : "formitem",
            "dataType" : 25
          }, {
            "id" : "formitem1",
            "dataType" : 25
          }, {
            "id" : "formitem2",
            "dataType" : 25
          }, {
            "id" : "phonename",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            }
          } ],
          "getPSDEFormPages" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.PHONE.DEFAULT.FORMPAGE.FORMPAGE1"
            },
            "caption" : "常规条件",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "codeName" : "formitem",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "formitem",
              "noPrivDisplayMode" : 1,
              "getPSEditor" : {
                "editorType" : "NUMBER",
                "name" : "formitem"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "codeName" : "formitem1",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "formitem1",
              "noPrivDisplayMode" : 1,
              "getPSEditor" : {
                "editorType" : "RATING",
                "maxValue" : 5.0,
                "minValue" : 0.0,
                "name" : "formitem1",
                "stepValue" : 1.0
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "codeName" : "formitem2",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "formitem2",
              "noPrivDisplayMode" : 1,
              "getPSEditor" : {
                "editorType" : "RADIOBUTTONLIST",
                "name" : "formitem2"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "needCodeListConfig" : true,
              "showCaption" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.PHONE.DEFAULT.FORMITEM.PHONENAME"
              },
              "caption" : "手机名称(文本包含(%))",
              "codeName" : "phonename",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "phonename",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "PHONENAME",
                "codeName" : "PhoneName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "phonename"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "editorPlugin"
          },
          "searchButtonStyle" : "DEFAULT",
          "tabHeaderPos" : "TOP",
          "enableAdvanceSearch" : false,
          "enableAutoSearch" : false,
          "enableFilterSave" : false,
          "noTabHeader" : true,
          "name" : "searchform",
          "modelid" : "6afd5f8f66b6c935007b5669076bf633",
          "modeltype" : "PSDEFORM_SEARCHFORM"
        }, {
          "controlType" : "SEARCHBAR",
          "name" : "searchbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          },
          "getPSControlParam" : {
            "id" : "searchbar"
          },
          "quickGroupCount" : -1,
          "quickSearchMode" : 1,
          "quickSearchWidth" : 0,
          "enableFilter" : false,
          "enableGroup" : false,
          "enableQuickSearch" : true,
          "mobileSearchBar" : false
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "PAGE.CAPTION.PHONE.PHONEVIEW"
          },
          "caption" : "手机表格视图（标题）",
          "codeName" : "PhoneViewcaptionbar",
          "controlType" : "CAPTIONBAR",
          "name" : "captionbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          },
          "getPSControlParam" : { }
        } ]
      },
      "title" : "手机表格视图(抬头)",
      "getTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.PHONE.PHONEVIEW"
      },
      "viewStyle" : "DEFAULT",
      "viewType" : "DEGRIDVIEW",
      "xDataControlName" : "grid",
      "enableDP" : true,
      "enableExport" : true,
      "enableFilter" : true,
      "enableImport" : true,
      "enableQuickSearch" : true,
      "enableRowEdit" : true,
      "enableSearch" : true,
      "rowEditDefault" : false,
      "modelid" : "940b384d68bf9ac635f6a63cfa0619e1",
      "modeltype" : "PSAPPDEVIEW"
    },
    "portletType" : "VIEW",
    "title" : "Grid",
    "showTitleBar" : true,
    "modelid" : "D19179E9-F234-4FBC-903E-39FA108D0A2C",
    "modeltype" : "PSSYSDBPART"
  }, {
    "codeName" : "List",
    "getContentPSControl" : {
      "name" : "dashboard_sysportlet2_list"
    },
    "controlType" : "PORTLET",
    "height" : 300.0,
    "name" : "dashboard_sysportlet2",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard_sysportlet2"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSControls" : [ {
      "codeName" : "Mob",
      "controlType" : "LIST",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSLISTS/Mob.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "groupMode" : "NONE",
      "height" : 300.0,
      "getItemPSLayoutPanel" : {
        "getAllPSPanelFields" : [ {
          "id" : "field1"
        }, {
          "id" : "field2"
        }, {
          "id" : "field3"
        }, {
          "id" : "field4"
        }, {
          "id" : "field5"
        } ],
        "codeName" : "A914dc5f9880ff309a2",
        "controlType" : "PANEL",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSPANELS/A914dc5f9880ff309a2.json",
        "layoutMode" : "TABLE_24COL",
        "logicName" : "表格布局面板(测试)",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlParam" : { },
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getRootPSPanelItems" : [ {
          "caption" : "标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field1",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "标题2",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field2",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field2",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "标题3",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field3",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field3",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "标题4",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field4",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field4",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "标题5",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field5",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field5",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "首页菜单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "appmenu",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "showCaption" : true
        } ],
        "layoutPanel" : true,
        "name" : "dashboard_sysportlet2_list_itempanel",
        "modelid" : "0BB26AC5-B544-453F-938C-44F5A073D7C2",
        "modeltype" : "PSSYSVIEWPANEL"
      },
      "logicName" : "MOB",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "列表控件处理器"
      },
      "getPSControlParam" : {
        "height" : 300.0,
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSDEDataImport" : {
        "modelref" : true,
        "id" : "DataImport"
      },
      "getPSDEListDataItems" : [ {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        }
      }, {
        "dataType" : 25,
        "name" : "pphoneid3",
        "getPSAppDEField" : {
          "name" : "PPHONEID3",
          "codeName" : "Pphoneid3"
        }
      }, {
        "dataType" : 25,
        "name" : "pphoneid4",
        "getPSAppDEField" : {
          "name" : "PPHONEID4",
          "codeName" : "Pphoneid4"
        }
      }, {
        "dataType" : 25,
        "name" : "pphoneid",
        "getPSAppDEField" : {
          "name" : "PPHONEID",
          "codeName" : "Pphoneid"
        }
      }, {
        "dataType" : 25,
        "name" : "pphoneid2",
        "getPSAppDEField" : {
          "name" : "PPHONEID2",
          "codeName" : "Pphoneid2"
        }
      } ],
      "pagingSize" : 1000,
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "hasWFDataItems" : false,
      "enableGroup" : false,
      "enableRowEdit" : false,
      "enableRowEditGroup" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "noSort" : false,
      "showHeader" : true,
      "name" : "dashboard_sysportlet2_list",
      "modelid" : "328464b4629381af0328575a2f898569",
      "modeltype" : "PSDELIST"
    } ],
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "portletType" : "LIST",
    "title" : "List",
    "showTitleBar" : true,
    "modelid" : "E3451794-AD3C-4B76-96D2-7121D2D2775E",
    "modeltype" : "PSSYSDBPART"
  }, {
    "codeName" : "portletToolbar",
    "getContentPSControl" : {
      "name" : "dashboard_sysportlet3_toolbar"
    },
    "controlType" : "PORTLET",
    "height" : 300.0,
    "name" : "dashboard_sysportlet3",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard_sysportlet3"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSControls" : [ {
      "codeName" : "DashboardView9dashboard_sysportlet3_toolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "门户工具栏",
      "name" : "dashboard_sysportlet3_toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : { },
      "getPSDEToolbarItems" : [ {
        "caption" : "打开百度",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "dashboard_sysportlet3_toolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f1@FontAwesome",
          "cssClass" : "fa fa-stethoscope"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "百度",
          "codeName" : "openBaidu",
          "counterId" : "openBaidu",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "openBaidu",
          "htmlPageUrl" : "https://www.baidu.com/",
          "name" : "百度",
          "getPSAppCounter" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
          },
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openBaidu",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "打开百度",
        "uIActionTarget" : "NONE",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "93709408-6B40-4C06-8532-37EFEB107CFF",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "portletType" : "TOOLBAR",
    "title" : "工具栏部件",
    "showTitleBar" : true,
    "modelid" : "498F5133-F642-480B-B070-8E6567C01661",
    "modeltype" : "PSSYSDBPART"
  }, {
    "actionGroupExtractMode" : "ITEM",
    "codeName" : "ChartTest",
    "getContentPSControl" : {
      "name" : "dashboard_sysportlet4_chart"
    },
    "controlType" : "PORTLET",
    "height" : 300.0,
    "name" : "dashboard_sysportlet4",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard_sysportlet4"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSControls" : [ {
      "codeName" : "Usr0301355514",
      "controlStyle" : "PIE_3D",
      "controlType" : "CHART",
      "coordinateSystem" : "XY",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Usr0301355514.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "height" : 300.0,
      "logicName" : "Chart3",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSChartCoordinateSystems" : [ {
        "eChartsType" : "cartesian2d",
        "index" : 0,
        "name" : "[bar_1]直角坐标系[0]",
        "getPSChartGrid" : {
          "index" : 0,
          "name" : "[bar_1]直角坐标系[0]",
          "getPSChartCoordinateSystem" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridXAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridYAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "grid",
          "id" : "0"
        },
        "type" : "XY",
        "id" : "0"
      } ],
      "getPSChartDataSetGroups" : [ {
        "index" : 0,
        "name" : "DEFAULT",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        },
        "id" : "0"
      } ],
      "getPSChartDataSets" : [ {
        "index" : 0,
        "name" : "bar_1-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "groupMode" : "CODELIST",
          "index" : 0,
          "name" : "NAME",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
          },
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "SCORES",
          "groupField" : false,
          "id" : "1"
        } ],
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "bar_0-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "groupMode" : "CODELIST",
          "index" : 0,
          "name" : "NAME",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
          },
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "AGE",
          "groupField" : false,
          "id" : "1"
        } ],
        "id" : "1"
      } ],
      "getPSChartGrids" : [ {
        "index" : 0,
        "name" : "[bar_1]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      } ],
      "getPSChartXAxises" : [ {
        "eChartsPos" : "xAxis",
        "eChartsType" : "category",
        "index" : 0,
        "name" : "axis_xAxis_0",
        "position" : "bottom",
        "type" : "category",
        "getUserParam" : {
          "EC.axisTick" : "{\"show\":0}",
          "ECX.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}"
        },
        "id" : "0"
      } ],
      "getPSChartYAxises" : [ {
        "eChartsPos" : "yAxis",
        "eChartsType" : "value",
        "index" : 0,
        "name" : "axis_yAxis_0",
        "position" : "left",
        "type" : "numeric",
        "id" : "0"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "图形控件处理器"
      },
      "getPSControlParam" : {
        "height" : 300.0,
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSDEChartDataGrid" : {
        "index" : 0,
        "showDataGrid" : true,
        "id" : "0"
      },
      "getPSDEChartLegend" : {
        "index" : 0,
        "showLegend" : true,
        "id" : "0"
      },
      "getPSDEChartSerieses" : [ {
        "caption" : "分数",
        "catalogField" : "NAME",
        "getCatalogPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "eChartsType" : "bar",
        "groupMode" : "CODELIST",
        "index" : 0,
        "name" : "bar_1",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "NAME" ],
          "y" : [ "SCORES" ],
          "id" : "0"
        },
        "seriesLayoutBy" : "column",
        "seriesType" : "bar",
        "valueField" : "SCORES",
        "enableChartDataSet" : true,
        "stack" : false
      }, {
        "caption" : "年龄",
        "catalogField" : "NAME",
        "getCatalogPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "eChartsType" : "bar",
        "groupMode" : "CODELIST",
        "index" : 1,
        "name" : "bar_0",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "navViewParamJO" : {
          "testval" : "%age%"
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "1"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "NAME" ],
          "y" : [ "AGE" ],
          "id" : "0"
        },
        "getPSNavigateParams" : [ {
          "key" : "testval",
          "name" : "testval",
          "value" : "age",
          "rawValue" : false
        } ],
        "seriesLayoutBy" : "column",
        "seriesType" : "bar",
        "valueField" : "AGE",
        "enableChartDataSet" : true,
        "stack" : false
      } ],
      "getPSDEChartTitle" : {
        "index" : 0,
        "title" : "柱状图",
        "showTitle" : false,
        "id" : "0"
      },
      "getPSSysPFPlugin" : {
        "pluginType" : "CHART_RENDER",
        "pluginCode" : "PIE_3D"
      },
      "readOnly" : true,
      "name" : "dashboard_sysportlet4_chart",
      "modelid" : "A1BCD468-3027-4DAF-A36E-F8900BF586DA",
      "modeltype" : "PSDECHART",
      "getUserParam" : {
        "ECX.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
        "tdType" : "3dbar",
        "EC.textStyle" : "{\"color\":\"#666666\",\"fontSize\":12}",
        "EC.color" : "[\"#73A0FA\",\"#FFB200\",\"#6DDA2F\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#73A0FA\",\"#FFB200\"]"
      }
    } ],
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSUIActionGroup" : {
      "codeName" : "Usr0803774731",
      "name" : "门户界面行为组",
      "getPSUIActionGroupDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "detailType" : "DEUIACTION",
        "name" : "u71a8bd4",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "表格界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "GRIDVIEW_NEWACTION",
          "refreshMode" : 1,
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION",
          "reloadData" : true
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "detailType" : "DEUIACTION",
        "name" : "uea72408",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "百度",
        "detailType" : "DEUIACTION",
        "name" : "ubae97f0",
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "百度",
          "codeName" : "openBaidu",
          "counterId" : "openBaidu",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "openBaidu",
          "htmlPageUrl" : "https://www.baidu.com/",
          "name" : "百度",
          "getPSAppCounter" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
          },
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openBaidu",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "detailType" : "DEUIACTION",
        "name" : "uee0dcd7",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ]
    },
    "portletType" : "CHART",
    "title" : "图表测试",
    "showTitleBar" : true,
    "modelid" : "270E66C1-B640-48DA-BEA7-1C572AF6B44A",
    "modeltype" : "PSSYSDBPART"
  } ],
  "enableCustomized" : false,
  "modelid" : "cc62e9f4bef7c39cac778773b136bb50",
  "modeltype" : "PSSYSDASHBOARD"
}